This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480723 - HTS should verify all the arguments in command line
HTS should verify all the arguments in command line
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 00:58 EST by Yolkfull Chow
Modified: 2014-03-25 20:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: ====== 'hts print plan' does not work properly Consequence: ============ a malfunction command Fix: ==== hardwaretest.py patch to verify all command-line args Result: ======= 'hts print plan' works properly
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 12:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardwaretest.py patch to verify all command-line args (566 bytes, patch)
2009-06-12 22:53 EDT, Greg Nichols
no flags Details | Diff

  None (edit)
Description Yolkfull Chow 2009-01-20 00:58:58 EST
Description of problem:

After creating the test plan, issue 'hts print plan' will get the plan that shows what components will be tested. And then 'hts run -t $some_component' to run a test and after the test has been finished, issue 'hts print plan', it will print the full result differently. Actually, the third option in command 'hts print plan' is redundant and illegal thus the command 'hts print plan' should warn that it's a bad usage. So I think HTS test suite should verify all the options in command line.

Version-Release number of selected component (if applicable):
5.3-12

How reproducible:
Everytime

Steps to Reproduce:
1. hts plan
2. hts print plan
3. hts run -t $core
4. hts print plan

Actual results:
Illegal command 'hts print plan' doesn't return the usage. The third option in command 'hts print plan' is not verify.

Expected results:
Issue command 'hts print plan' should warn user that it's a bad usage.

Additional info:
Comment 1 Greg Nichols 2009-06-12 22:53:34 EDT
Created attachment 347696 [details]
hardwaretest.py patch to verify all command-line args
Comment 4 Nan Zhang 2009-08-13 05:53:42 EDT
Verified with v7-1.0-14.el5 on RHEL5u4-Server-i386, no issue found.
Comment 7 YangKun 2009-08-21 06:27:57 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause:
======
'hts print plan' does not work properly

Consequence:
============
a malfunction command

Fix:
====
hardwaretest.py patch to verify all command-line args  

Result:
=======
'hts print plan' works properly
Comment 8 errata-xmlrpc 2009-08-27 12:34:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1234.html

Note You need to log in before you can comment on or make changes to this bug.